@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Lora:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Lora:ital,wght@0,400..700;1,400..700&display=swap');

* {
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    margin: 0;
}


:root {
    --Txt-marron: #412520;
    --Lora: "Lora", serif;
    --Great_Vibes: "Great Vibes", cursive;
    --Inter: "Inter", sans-serif;
    --semi-bold: 600;
    --medium: 500;
    --bold: 700;
    --regular: 400;
}

/* ========================= */
/* BARRE DE DÉFILEMENT */
/* ========================= */

html {
    scrollbar-width: thin;
    scrollbar-color: #b98a72 #FCF8F6;
}

/* Chrome / Edge / Safari */

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #FCF8F6;
}

::-webkit-scrollbar-thumb {
    background: #b98a72;
    border-radius: 20px;

    border: 2px solid #FCF8F6;
}

::-webkit-scrollbar-thumb:hover {
    background: #6A3924;
}

#header-navigation {
    width: 100%;
    min-height: 110px;
    display: flex;
    align-items: center;
    color: #FCFDFD;
    justify-content: space-between;
    box-sizing: border-box;
    padding: 0 clamp(16px, 4vw, 100px);
}

.header-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.header-logo img {
    width: auto;
    height: 80px;
}

.title-header {
    flex: 0 0 auto;
    font-size: 2.5rem;
    line-height: 1;
    padding-left: 0;
    font-family: "Lora", serif;
    color: #412520;
    font-style: italic;
}



.icon-burger {
    flex: 0 0 auto;
}

.header-text {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: clamp(12px, 2vw, 36px);
}

ul {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.header-text>li>a {
    position: relative;
    display: inline-block;
    font-family: 'Inter', sans-serif;
    font-weight: var(--medium);
    color: #412520;
    font-size: clamp(12px, 1.2vw, 20px);
    text-transform: uppercase;
    transition: color 0.3s ease;
}

.header-text>li>a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    top: 25px;
    width: 0%;
    height: 2px;
    background-color: #412520;
    transition: width 0.3s ease;
}

.header-text>li>a.header-active::after,
.header-text>li>a:hover::after {
    width: 70%;
}

.header-text .button {
    width: clamp(120px, 12vw, 200px);
    height: 50px;
    background-color: #412520;
    border: none;
    border-radius: 12px;
    color: #F4EBE6;

    display: flex;
    align-items: center;
    justify-content: center;

    font-weight: var(--medium);
    font-size: 20px;
    font-family: var(--Inter);
    text-transform: uppercase;

    cursor: pointer;
}

.header-text .button::after {
    display: none;
}

.header-text .button:hover {
    background-color: #F4EBE6;
    color: #412520;
}

.icon-burger {
    display: none;
    width: 40px;
    height: 30px;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
}

.icon-burger span {
    width: 100%;
    height: 4px;
    background-color: #412520;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.mobile-menu {
    display: none;
}


.submenu-parent {
    position: relative;
}

.submenu {
    position: absolute;
    top: calc(100% + 12px);
    left: 0;
    min-width: 220px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
    padding: 10px 0;
    display: flex;
    flex-direction: column;
    gap: 0;
    opacity: 0;
    visibility: hidden;
    transform: translateY(8px);
    transition: 0.25s ease;
    z-index: 200;
}

.submenu li {
    width: 100%;
}

.submenu a {
    display: block;
    padding: 12px 18px;
    text-transform: none;
    font-size: 0.95rem;
    color: #412520;
    font-weight: var(--medium);
}

.submenu a:hover {
    background: #f7f1ec;
}

.submenu-parent:hover .submenu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/* mobile submenu */
.mobile-submenu-wrapper {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.mobile-submenu-toggle {
    text-decoration: none;
    color: #412520;
    font-size: 24xp;
    font-weight: var(--semi-bold);
    text-transform: uppercase;
    cursor: pointer;
}

.mobile-submenu {
    display: none;
    flex-direction: column;
    gap: 10px;
    padding-left: 12px;
}

.mobile-submenu.active {
    display: flex;
}

#mobileSubmenu a {
    text-decoration: none;
    color: #412520;
    font-size: 20px;
    font-weight: var(--medium);
    text-transform: none;
}


@media (max-width: 1400px) {

    /*! HEADER */
    #header-navigation {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 800;
        background-color: #FCFDFD;
    }

    .icon-burger {
        visibility: visible;
        display: flex;
        z-index: 800;
        position: static;
        margin-left: auto;

    }

    .header-navigation {
        display: none;
    }

    .icon-burger.open span:nth-child(1) {
        transform: translateY(13px) rotate(45deg);
    }

    .icon-burger.open span:nth-child(2) {
        opacity: 0;
    }

    .icon-burger.open span:nth-child(3) {
        transform: translateY(-13px) rotate(-45deg);
    }

    /* Mobile Menu */
    .mobile-menu {
        display: none;
        position: fixed;
        z-index: 90;
        top: 0px;
        left: -100%;
        width: 100%;
        height: 100%;
        background: #ffffffda;
        backdrop-filter: blur(20px);
        box-shadow: 2px 0px 5px rgba(0, 0, 0, 0.3);
        padding: 80px 50px;
        flex-direction: column;
        gap: 15px;
        transition: left 0.3s ease-in-out;
    }

    .mobile-menu a {
        text-decoration: none;
        color: #412520;
        font-size: 24px;
        font-weight: var(--semi-bold);
        text-transform: uppercase;
    }

    .mobile-menu .header-active {
        color: #D5AA86;
        font-weight: var(--semi-bold);
    }

    .mobile-menu .close-menu {
        font-size: 30px;
        color: white;
        text-decoration: none;
        align-self: flex-end;
        cursor: pointer;
    }

    .mobile-menu.active {
        left: 0;
        display: flex;
    }

    * {
        margin: 0;
    }

    .mobile-menu a {
        position: relative;
        display: inline-block;
        color: #412520;
        font-size: 20px;
        text-transform: uppercase;
        transition: color 0.3s ease;
    }

    .mobile-menu li>a::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        top: 25px;
        width: 0%;
        height: 2px;
        background-color: #412520;
        transition: width 0.3s ease;
    }

    .mobile-menu li>a.header-active::after,
    .mobile-menu li>a:hover::after {
        width: 70%;
    }

    .mobile-menu button {
        width: auto;
        max-width: 210px;
        height: 40px;
        background-color: #412520;
        border: none;
        border-radius: 12px;
        color: #F4EBE6;
        margin-top: 10px;
    }

    .mobile-menu button a {
        color: #F4EBE6;
        font-size: 18px;

        display: flex;
        width: 100%;
        height: 100%;
        align-items: center;
        justify-content: center;
    }

    .mobile-menu button:hover {
        background-color: #F4EBE6;
        cursor: pointer;
    }

    .mobile-menu button:hover a {
        color: #412520;
    }


}

@media (max-width: 600px) {
    #header-navigation {
        padding: 0 20px;
    }

    .header-logo {
        display: flex;
        gap: 20px;
    }

    .header-logo img {
        width: auto;
        height: 50px;
    }

    .title-header {
        font-size: 1.7rem;
    }

}

@media (max-width: 400px) {
    #header-navigation {
        padding: 0 10px;
    }

    .header-logo {
        display: flex;
        gap: 10px;
    }


    .title-header {
        font-size: 1.6rem;
    }

    .mobile-menu {
        padding-inline: 24px;
    }

}
@media (max-width: 350px) {
   .header-logo img {
        width: auto;
        height: 40px;
    }
.title-header {
        font-size: 1.4rem;
    }

}